package wxcardvisit

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcardvisit"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card_visit/update wxcardvisit UpdateWxCardVisit
//
// Update wx card visit information | 更新WxCardVisit
//
// Update wx card visit information | 更新WxCardVisit
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardVisitReq
//
// Responses:
//  200: BaseMsgResp

func UpdateWxCardVisitHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardVisitReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcardvisit.NewUpdateWxCardVisitLogic(r.Context(), svcCtx)
		resp, err := l.UpdateWxCardVisit(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
